package com.mortals.xhx.module.care.model;

import java.util.List;
import com.mortals.xhx.module.care.model.CareTemplateEntity;
/**
* 关怀问候信息查询对象
*
* @author zxfei
* @date 2023-04-07
*/
public class CareTemplateQuery extends CareTemplateEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 关怀类型(1.生日关怀,2.入职周年关怀) */
    private Integer careTypeStart;

    /** 结束 关怀类型(1.生日关怀,2.入职周年关怀) */
    private Integer careTypeEnd;

    /** 增加 关怀类型(1.生日关怀,2.入职周年关怀) */
    private Integer careTypeIncrement;

    /** 关怀类型(1.生日关怀,2.入职周年关怀)列表 */
    private List <Integer> careTypeList;

    /** 关怀类型(1.生日关怀,2.入职周年关怀)排除列表 */
    private List <Integer> careTypeNotList;

    /** 开始 是否短信提示(1.是,0.否) */
    private Integer smsStart;

    /** 结束 是否短信提示(1.是,0.否) */
    private Integer smsEnd;

    /** 增加 是否短信提示(1.是,0.否) */
    private Integer smsIncrement;

    /** 是否短信提示(1.是,0.否)列表 */
    private List <Integer> smsList;

    /** 是否短信提示(1.是,0.否)排除列表 */
    private List <Integer> smsNotList;

    /** 短信模板内容 */
    private List<String> smsTemplateList;

    /** 短信模板内容排除列表 */
    private List <String> smsTemplateNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<CareTemplateQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<CareTemplateQuery> andConditionList;

    public CareTemplateQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 关怀类型(1.生日关怀,2.入职周年关怀)
    * @return careTypeStart
    */
    public Integer getCareTypeStart(){
        return this.careTypeStart;
    }

    /**
    * 设置 开始 关怀类型(1.生日关怀,2.入职周年关怀)
    * @param careTypeStart
    */
    public void setCareTypeStart(Integer careTypeStart){
        this.careTypeStart = careTypeStart;
    }

    /**
    * 获取 结束 关怀类型(1.生日关怀,2.入职周年关怀)
    * @return $careTypeEnd
    */
    public Integer getCareTypeEnd(){
        return this.careTypeEnd;
    }

    /**
    * 设置 结束 关怀类型(1.生日关怀,2.入职周年关怀)
    * @param careTypeEnd
    */
    public void setCareTypeEnd(Integer careTypeEnd){
        this.careTypeEnd = careTypeEnd;
    }

    /**
    * 获取 增加 关怀类型(1.生日关怀,2.入职周年关怀)
    * @return careTypeIncrement
    */
    public Integer getCareTypeIncrement(){
        return this.careTypeIncrement;
    }

    /**
    * 设置 增加 关怀类型(1.生日关怀,2.入职周年关怀)
    * @param careTypeIncrement
    */
    public void setCareTypeIncrement(Integer careTypeIncrement){
        this.careTypeIncrement = careTypeIncrement;
    }

    /**
    * 获取 关怀类型(1.生日关怀,2.入职周年关怀)
    * @return careTypeList
    */
    public List<Integer> getCareTypeList(){
        return this.careTypeList;
    }

    /**
    * 设置 关怀类型(1.生日关怀,2.入职周年关怀)
    * @param careTypeList
    */
    public void setCareTypeList(List<Integer> careTypeList){
        this.careTypeList = careTypeList;
    }

    /**
    * 获取 关怀类型(1.生日关怀,2.入职周年关怀)
    * @return careTypeNotList
    */
    public List<Integer> getCareTypeNotList(){
        return this.careTypeNotList;
    }

    /**
    * 设置 关怀类型(1.生日关怀,2.入职周年关怀)
    * @param careTypeNotList
    */
    public void setCareTypeNotList(List<Integer> careTypeNotList){
        this.careTypeNotList = careTypeNotList;
    }


    /**
    * 获取 开始 是否短信提示(1.是,0.否)
    * @return smsStart
    */
    public Integer getSmsStart(){
        return this.smsStart;
    }

    /**
    * 设置 开始 是否短信提示(1.是,0.否)
    * @param smsStart
    */
    public void setSmsStart(Integer smsStart){
        this.smsStart = smsStart;
    }

    /**
    * 获取 结束 是否短信提示(1.是,0.否)
    * @return $smsEnd
    */
    public Integer getSmsEnd(){
        return this.smsEnd;
    }

    /**
    * 设置 结束 是否短信提示(1.是,0.否)
    * @param smsEnd
    */
    public void setSmsEnd(Integer smsEnd){
        this.smsEnd = smsEnd;
    }

    /**
    * 获取 增加 是否短信提示(1.是,0.否)
    * @return smsIncrement
    */
    public Integer getSmsIncrement(){
        return this.smsIncrement;
    }

    /**
    * 设置 增加 是否短信提示(1.是,0.否)
    * @param smsIncrement
    */
    public void setSmsIncrement(Integer smsIncrement){
        this.smsIncrement = smsIncrement;
    }

    /**
    * 获取 是否短信提示(1.是,0.否)
    * @return smsList
    */
    public List<Integer> getSmsList(){
        return this.smsList;
    }

    /**
    * 设置 是否短信提示(1.是,0.否)
    * @param smsList
    */
    public void setSmsList(List<Integer> smsList){
        this.smsList = smsList;
    }

    /**
    * 获取 是否短信提示(1.是,0.否)
    * @return smsNotList
    */
    public List<Integer> getSmsNotList(){
        return this.smsNotList;
    }

    /**
    * 设置 是否短信提示(1.是,0.否)
    * @param smsNotList
    */
    public void setSmsNotList(List<Integer> smsNotList){
        this.smsNotList = smsNotList;
    }


    /**
    * 获取 短信模板内容
    * @return smsTemplateList
    */
    public List<String> getSmsTemplateList(){
        return this.smsTemplateList;
    }

    /**
    * 设置 短信模板内容
    * @param smsTemplateList
    */
    public void setSmsTemplateList(List<String> smsTemplateList){
        this.smsTemplateList = smsTemplateList;
    }

    /**
    * 获取 短信模板内容
    * @return smsTemplateNotList
    */
    public List<String> getSmsTemplateNotList(){
        return this.smsTemplateNotList;
    }

    /**
    * 设置 短信模板内容
    * @param smsTemplateNotList
    */
    public void setSmsTemplateNotList(List<String> smsTemplateNotList){
        this.smsTemplateNotList = smsTemplateNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public CareTemplateQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public CareTemplateQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public CareTemplateQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public CareTemplateQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public CareTemplateQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 序号，主键，自增长
        * @param idNotList
        */
        public CareTemplateQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  关怀类型(1.生日关怀,2.入职周年关怀)
    * @param careType
    */
    public CareTemplateQuery careType(Integer careType){
	    setCareType(careType);
		return this;
    }
	
	 /**
    * 设置 开始 关怀类型(1.生日关怀,2.入职周年关怀)
    * @param careTypeStart
    */
    public CareTemplateQuery careTypeStart(Integer careTypeStart){
		this.careTypeStart = careTypeStart;
		return this;
    }

    /**
    * 设置 结束 关怀类型(1.生日关怀,2.入职周年关怀)
    * @param careTypeEnd
    */
    public CareTemplateQuery careTypeEnd(Integer careTypeEnd){
		this.careTypeEnd = careTypeEnd;
		return this;
    }

    /**
    * 设置 增加 关怀类型(1.生日关怀,2.入职周年关怀)
    * @param careTypeIncrement
    */
    public CareTemplateQuery careTypeIncrement(Integer careTypeIncrement){
		this.careTypeIncrement = careTypeIncrement;
		return this;
    }

    /**
    * 设置 关怀类型(1.生日关怀,2.入职周年关怀)
    * @param careTypeList
    */
    public CareTemplateQuery careTypeList(List<Integer> careTypeList){
        this.careTypeList = careTypeList;
		return this;
        }

        /**
        * 设置 关怀类型(1.生日关怀,2.入职周年关怀)
        * @param careTypeNotList
        */
        public CareTemplateQuery careTypeNotList(List<Integer> careTypeNotList){
        this.careTypeNotList = careTypeNotList;
        return this;
        }

    /**
    * 设置  是否短信提示(1.是,0.否)
    * @param sms
    */
    public CareTemplateQuery sms(Integer sms){
	    setSms(sms);
		return this;
    }
	
	 /**
    * 设置 开始 是否短信提示(1.是,0.否)
    * @param smsStart
    */
    public CareTemplateQuery smsStart(Integer smsStart){
		this.smsStart = smsStart;
		return this;
    }

    /**
    * 设置 结束 是否短信提示(1.是,0.否)
    * @param smsEnd
    */
    public CareTemplateQuery smsEnd(Integer smsEnd){
		this.smsEnd = smsEnd;
		return this;
    }

    /**
    * 设置 增加 是否短信提示(1.是,0.否)
    * @param smsIncrement
    */
    public CareTemplateQuery smsIncrement(Integer smsIncrement){
		this.smsIncrement = smsIncrement;
		return this;
    }

    /**
    * 设置 是否短信提示(1.是,0.否)
    * @param smsList
    */
    public CareTemplateQuery smsList(List<Integer> smsList){
        this.smsList = smsList;
		return this;
        }

        /**
        * 设置 是否短信提示(1.是,0.否)
        * @param smsNotList
        */
        public CareTemplateQuery smsNotList(List<Integer> smsNotList){
        this.smsNotList = smsNotList;
        return this;
        }


	/**
    * 设置 短信模板内容
    * @param smsTemplate
    */
    public CareTemplateQuery smsTemplate(String smsTemplate){
        setSmsTemplate(smsTemplate);
		return this;
    }

    /**
    * 设置 短信模板内容
    * @param smsTemplateList
    */
    public CareTemplateQuery smsTemplateList(List<String> smsTemplateList){
        this.smsTemplateList = smsTemplateList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public CareTemplateQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public CareTemplateQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public CareTemplateQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public CareTemplateQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public CareTemplateQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public CareTemplateQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public CareTemplateQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public CareTemplateQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public CareTemplateQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public CareTemplateQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public CareTemplateQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public CareTemplateQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<CareTemplateQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<CareTemplateQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<CareTemplateQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<CareTemplateQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}